MLAPI API Reference

# LagCompensationManager Class

[This is preliminary documentation and is subject to change.]

The main class for controlling lag compensation
Inheritance Hierarchy
System
Object
MLAPI.NetworkingManagerComponents.Core
LagCompensationManager

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static class LagCompensationManager

Request Example
View Source

The LagCompensationManager type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| SimulationObjects | Simulation objects

Top
Methods

| Name | Description
--- | --- | ---
| Simulate(Single, Action) | Turns time back a given amount of seconds, invokes an action and turns it back
| Simulate(UInt32, Action) | Turns time back a given amount of seconds, invokes an action and turns it back. The time is based on the estimated RTT of a clientId

Top
See Also

#### Reference

MLAPI.NetworkingManagerComponents.Core Namespace